<app-toobar></app-toobar>



<div class="container">

  <div class="col">
    <form class="example-form" [formGroup]="form">
      <div class="row">
        <p class="lead">Sua compra fica mais segura com seu login de acesso</p>

      </div>
    <div class="row">
    <mat-form-field class="example-full-width">
      <input matInput placeholder="Entre com seu email" formControlName="email"  required>
      <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
    </mat-form-field>
  </div>
    <div class="row">
    <mat-form-field class="example-full-width">
        <input matInput placeholder="Entre com sua senha" [type]="hide ? 'password' : 'text'" formControlName="password">
        <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
        <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
        </button>
      </mat-form-field>
    </div>
    <div class="row">
      <button style="background-color: black; color: white; width: 100%;" mat-raised-button (click)="acessar()">Acessar</button>
      <button mat-button color="primary" style="margin-top: 4%; float: right;" (click)="irNewUser()"> Primeiro Acesso ? Clique aqui</button>
      <!-- <div class="formGroup">
          <button type="button" (click)="authService.FacebookAuth()">
             Login com Facebook
          </button>
       </div> -->
      </div>


  </form>
</div>

</div>
